Bug 208285 - cimserver crashes on enumerateInstance calls
cimserver crashes on enumerateInstance calls
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tog-pegasus (Show other bugs)
4.4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-27 13:11 EDT by Sean Frazer
Modified: 2010-03-18 11:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-18 11:55:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Frazer 2006-09-27 13:11:48 EDT
Description of problem:

When calling enumerateInstances on certain classes (Linux_ABIParameter for
example), cimserver crashes.  The client I'm using is "cli" in Pegasus 2.5.1 on
Windows 2000.  This could be related to the SBLIM provider(s)

One workaround that I've found is to set forceProviderProcesses=true using
cimconfig.


Version-Release number of selected component (if applicable):
tog-pegasus-2.5.1-2.EL4.i386.rpm
sblim-cmpi-base-1.5.4-12.EL4.i386.rpm
sblim-cmpi-params-1.2.4-12.EL4.i386.rpm

How reproducible:
With Pegasus running, enumerate instances of class Linux_ABIParameter from a
remote machine.


Steps to Reproduce:
1. Add root to PAM Access Rule in /etc/Pegasus/access.conf
2. Enable http: cimconfig -p -s enableHttpConnection=true
3. Change trace levels: cimconfig -p -s traceLevel=4
   cimconfig -p -s traceComponents=ALL
3. Start Pegasus: /etc/init.d/tog-pegasus start
4. Using a remote Pegasus client, enumerate instances of Linux_ABIParameter:
   cli ni Linux_ABIParameter -n root/cimv2 -l [host name] -u root -p [password]
  
Actual results:
 The client returns the error "Empty HTTP response message.."

 The following are the last few lines of /var/lib/Pegasus/cache/trace/cimserver.trc
-------------------------------------------
09/27/2006-11:40:03: ProviderManager [5762:3054771120:CMPILocalProviderManager.c
pp:880]: Exiting method _initProvider
09/27/2006-11:40:03: ProviderManager [5762:3054771120:CMPILocalProviderManager.c
pp:148]: Returning ProviderLLinux_ABIParameter
09/27/2006-11:40:03: ProviderManager [5762:3054771120:CMPILocalProviderManager.c
pp:441]: Exiting method _provider_ctrl
09/27/2006-11:40:03: ProviderManager [5762:3054771120:CMPILocalProviderManager.c
pp:610]: Exiting method ProviderManager::getProvider
09/27/2006-11:40:03: ProviderManager [5762:3054771120:CMPIProviderManager.cpp:62
4]: Calling provider.enumerateInstanceNames: Linux_ABIParameter
--------------------------------

Expected results:

No crash; zero or more instances should be returned without a failure


Additional info:

OS version is Red Hat Enterprise Linux AS 4 (Nahant Update 4), Kernel 2.6.9-42.EL
Comment 2 Tim Potter 2007-06-29 01:50:22 EDT
I recently found and fixed a crash bug in the CMPI wrappers that any CMPI
provider can easily run in to.  If the provider tries to clone arrays of
encapsulated objects (instances, references, arrays, datetimes or strings) then
it will crash.

The fix has been merged in to 2.6.1, 2.5.5 and 2.7.0 (CVS head).
Comment 3 Ondrej Vasik 2010-03-18 11:55:09 EDT
As RHEL-4.9 is last update for RHEL-4 and it is not suitable for new features
and should address only security, performance and critical issues, I'm closing
that bugzilla WONTFIX. If this functionality is still missing in RHEL-5, feel
free to clone that bugzilla against it.

Note You need to log in before you can comment on or make changes to this bug.